Package org.apache.xmlbeans.impl.util

## Class LongUTFDataInputStream

- java.lang.Object
- - java.io.InputStream
  - - java.io.FilterInputStream
    - - java.io.DataInputStream
      - - org.apache.xmlbeans.impl.util.LongUTFDataInputStream

- All Implemented Interfaces:
    `Closeable`, `DataInput`, `AutoCloseable`

      public class LongUTFDataInputStream
      extends DataInputStream

  This class works around the size limitation of UTF strings (< 64kb) of DataInputStream and needs to be used with LongUTFDataOutputStream

- - ### Field Summary

    - ### Fields inherited from class java.io.FilterInputStream

      `in`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LongUTFDataInputStream​(InputStream in)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `readLongUTF()` |
    `int` | `readUnsignedShortOrInt()` |
    `static int` | `readUnsignedShortOrInt​(DataInputStream dis)` |

    - ### Methods inherited from class java.io.DataInputStream

      `read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, readUTF, skipBytes`

    - ### Methods inherited from class java.io.FilterInputStream

      `available, close, mark, markSupported, read, reset, skip`

    - ### Methods inherited from class java.io.InputStream

      `nullInputStream, readAllBytes, readNBytes, readNBytes, transferTo`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LongUTFDataInputStream

          public LongUTFDataInputStream​(InputStream in)

  - ### Method Detail

    - #### readUnsignedShortOrInt

          public int readUnsignedShortOrInt()
                                     throws IOException

      Throws:
        `IOException`

    - #### readUnsignedShortOrInt

          public static int readUnsignedShortOrInt​(DataInputStream dis)
                                            throws IOException

      Throws:
        `IOException`

    - #### readLongUTF

          public String readLongUTF()
                             throws IOException

      Throws:
        `IOException`